## tzc-cclub 001-2

=== Makefile ===
# Generated automatically from Makefile.in by configure.
SHELL = /bin/sh

prefix=/usr
exec_prefix=${prefix}
datadir=${prefix}/share
sysconfdir=${prefix}/etc
sbindir=${exec_prefix}/sbin
lsbindir=${sbindir}
mandir=${prefix}/share/man

includedir=${prefix}/include
libdir=${exec_prefix}/lib
bindir=${exec_prefix}/bin

srcdir=
top_srcdir=
BUILDTOP=
CC=gcc
INSTALL=/usr/bin/install -c

IRFLAGS=-DCMU_INTERREALM -DINTERREALM
CPPFLAGS=
CFLAGS=-g -O2
ALL_CFLAGS=${CFLAGS} ${IRFLAGS} ${CPPFLAGS}
LDFLAGS=-L${BUILDTOP}/lib 
LIBS=-lzephyr -lreadline -L/usr/lib -lkrb -ldes -lcrypt -lresolv -lcom_err -ldl -lcom_err

OBJS= ZCkAuth.o lread.o tzc.o

all: tzc zsend

tzc.o: tzc.c

tzc: tzc.o lread.o lread.h ZCkAuth.o
	${CC} ${LDFLAGS} -o $@ ZCkAuth.o lread.o tzc.o ${LIBS}

zsend.o: zsend.c

zsend: zsend.o lread.o lread.h ZCkAuth.o
	${CC} ${LDFLAGS} -o $@ ZCkAuth.o lread.o zsend.o ${LIBS}

.c.o:
	${CC} -c ${ALL_CFLAGS} $<

check:

install: tzc zsend
	${INSTALL} -m 755 -s tzc ${DESTDIR}${bindir}
	${INSTALL} -m 755 -s zsend ${DESTDIR}${bindir}

clean:
	rm -f *.o tzc zsend

.PHONY: all check install clean

=== debian/changelog ===
tzc-cclub (001-2) stable; urgency=low

  * Added a quick README to /usr/share/tzc

 -- Aaron Solochek <aarons@aberrant.org>  Wed, 04 Sep 2002 22:27:22 -0500

tzc-cclub (001-1) stable; urgency=low

  * Initial Release.

 -- Aaron Solochek <aarons@aberrant.org>  Wed, 28 Aug 2002 16:15:40 -0500

=== debian/control ===
Source: tzc-cclub
Section: net
Priority: optional
Maintainer: Aaron Solochek <aarons@aberrant.org>
Build-Depends: debhelper, bison, zephyr-client-cclub | zephyr-clients 
Standards-Version: 3.1.1

Package: tzc-cclub
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Description: Tiny Zephyr Client -- CMU Computer Club package for emacs zephyr.
 .
 This package contains the tzc binary and elisp files for Xemacs in zephyr mode.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS
SONAME=3

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Add here commands to configure the package.
	-mkdir build-tree
	cp *.c build-tree/
	cp *.h build-tree/
	cp Makefile build-tree/

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C `pwd`/build-tree 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-rm -rf build-tree debian/tmp

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	-rm -rf debian/tmp
	dh_installdirs
	mkdir -p debian/tmp/usr/bin/

	# Add here commands to install the package into debian/tmp.
	cd build-tree&&$(MAKE)  DESTDIR=`pwd`/../debian/tmp install

	mkdir -p debian/tmp/usr/share/tzc
	set -x; for i in debian/elisp/*; do install -c -m 644 -o root $$i debian/tmp/usr/share/tzc; done; set +x


# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install


# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: build install
	dh_testdir
	dh_testroot
	set -e; \
	dh_movefiles -ptzc-cclub
	dh_movefiles --sourcedir=debian/tmp -ptzc-cclub 
	dh_installdebconf 
	dh_installdocs
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## tzc-cclub 001-3

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 CFLAGS=-g -O2
 ALL_CFLAGS=${CFLAGS} ${IRFLAGS} ${CPPFLAGS}
 LDFLAGS=-L${BUILDTOP}/lib 
-LIBS=-lzephyr -lreadline -L/usr/lib -lkrb -ldes -lcrypt -lresolv -lcom_err -ldl -lcom_err
+LIBS=-lzephyr -lreadline -L/usr/lib -lkrb -lkrb5 -lcrypto -lcrypt -lresolv -lcom_err -ldl -lcom_err
 
 OBJS= ZCkAuth.o lread.o tzc.o

=== debian/changelog ===
tzc-cclub (001-3) stable; urgency=low

  * Build against new krb/heimdal

 -- Aaron Solochek <aarons@aberrant.org>  Tue, 22 Oct 2002 13:49:04 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Aaron Solochek <aarons@aberrant.org>
-Build-Depends: debhelper, bison, zephyr-client-cclub | zephyr-clients 
+Build-Depends: debhelper, bison, libzephyr-dev-cclub | zephyr-clients 
 Standards-Version: 3.1.1
 
 Package: tzc-cclub
